Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.util
Class EnclosingFormRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      org.richfaces.renderkit.util.EnclosingFormRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class EnclosingFormRequiredException

extends javax.faces.FacesException

Author:
  Filip Antonov - mailto:fantonov@exadel.com created 08.02.2007
See Also:
  Serialized Form

Constructor Summary
`EnclosingFormRequiredException()`
`EnclosingFormRequiredException(java.lang.String message)`
`EnclosingFormRequiredException(java.lang.String message, java.lang.Throwable cause)`
`EnclosingFormRequiredException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnclosingFormRequiredException

    public EnclosingFormRequiredException()

### EnclosingFormRequiredException

    public EnclosingFormRequiredException(java.lang.String message)

### EnclosingFormRequiredException

    public EnclosingFormRequiredException(java.lang.Throwable cause)

### EnclosingFormRequiredException

    public EnclosingFormRequiredException(java.lang.String message,
                                          java.lang.Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components API 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.